from setuptools import setup

# The text of the README file
with open('README.rst') as f:
    README = f.read()

# The requirements of the requirements.txt file
with open('requirements.txt') as f:
    REQUIREMENTS = f.read()

# The version of the .version file
with open('.version') as f:
    VERSION = f.read()


# This call to setup() does all the work
setup(
    name="pyxelengine",
    version=VERSION,
    description="A retro game engine",
    long_description=README,
    long_description_content_type="text/x-rst",
    url="https://github.com/akarys42/pyxelengine",
    author="Akarys",
    author_email="matteobertucci2004@gmail.com",
    license="MIT",
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
    ],
    packages=["pyxel_engine"],
    include_package_data=True,
    install_requires=REQUIREMENTS
)
